package com.qmth.teachcloud.mark.dto.refix;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class PaperRefixDomain {

    @NotNull(message = "paper.id不能为空")
    private Long id;

    @NotNull(message = "paper.number不能为空")
    @Min(value = 1, message = "paper.number不能小于1")
    private Integer number;

    @NotNull(message = "paper.mismatch不能为空")
    private Boolean mismatch;

    @Valid
    @NotNull(message = "pages不能为空")
    @Size(min = 1, message = "pages不能为空")
    private List<PageRefixDomain> pages;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Boolean getMismatch() {
        return mismatch;
    }

    public void setMismatch(Boolean mismatch) {
        this.mismatch = mismatch;
    }

    public List<PageRefixDomain> getPages() {
        return pages;
    }

    public void setPages(List<PageRefixDomain> pages) {
        this.pages = pages;
    }
}
